
Redmine - Defect #12673

Administrator/Settings error 500

2012-12-24 11:20 - Nikola Vidovic

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have upgraded redmine from 2.1.2 to 2.2.0 and I get the following error when I try to open Administration/Settings:

Started GET "/settings" for 192.168.0.174 at Mon Dec 24 12:07:39 +0100 2012

Processing by SettingsController#index as HTML

Current user: nikola.vidovic (id=60)

Rendered settings/_general.html.erb (10.8ms)

Rendered settings/_display.html.erb (12.2ms)

Rendered settings/_authentication.html.erb (9.3ms)

Rendered settings/_projects.html.erb (10.0ms)

Rendered settings/_issues.html.erb (3.8ms)

Rendered common/_tabs.html.erb (55.5ms)

Rendered settings/edit.html.erb within layouts/admin (56.6ms)

Completed 500 Internal Server Error in 67ms

ActionView::Template::Error (undefined method `cross_project_subtasks' for #<Class:0x7f2b807d4f58>):

3: <div class="box tabular settings">

4: <p><%= setting_check_box :cross_project_issue_relations ></p>

5:

6: <p><= setting_select :cross_project_subtasks, cross_project_subtasks_options ></p>

7:

8: <p><= setting_check_box :issue_group_assignment %></p>

9:

app/helpers/settings_helper.rb:39:in `send'

app/helpers/settings_helper.rb:39:in `setting_select'

app/views/settings/_issues.html.erb:6:in `_app_views_settings__issues_html_erb___1557619823_69912405967060'

app/views/settings/_issues.html.erb:1:in `_app_views_settings__issues_html_erb___1557619823_69912405967060'

app/views/common/_tabs.html.erb:24:in `_app_views_common__tabs_html_erb__1050759135_69912404140040'

app/views/common/_tabs.html.erb:23:in `each'

app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb__1050759135_69912404140040'

app/helpers/application_helper.rb:263:in `render_tabs'

app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___599449337_69912404581660'

app/controllers/settings_controller.rb:26:in `index'

Here is ruby info:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.15

Rack version              1.4

Rails version             3.2.9

Active Record version     3.2.9

Action Pack version       3.2.9

Active Resource version   3.2.9

Action Mailer version     3.2.9

Active Support version    3.2.9

Middleware                ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7f703f7d1fe8>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Reloader, ActionDispatch::Callbacks,

ActiveRecord::ConnectionAdapters::ConnectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies,

ActionDispatch::Session::CookieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head,

Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

2024-04-23 1/2



Application root          /var/www/redmine

Environment               development

Database adapter          mysql

Database schema version   20121026003537

Using Apache with passenger.

History

#1 - 2012-12-25 01:53 - Toshi MARUYAMA

- Category changed from Issues to Administration

#2 - 2012-12-26 12:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Outdated config/settings.yml.
